/*
Theme Name: Hello Elementor Child
Theme URI: https://elementor.com/hello-theme/?utm_source=wp-themes&utm_campaign=theme-uri&utm_medium=wp-dash
Template: hello-elementor
Author: Elementor Team
Author URI: https://elementor.com/?utm_source=wp-themes&utm_campaign=author-uri&utm_medium=wp-dash
Description: Hello Elementor is a lightweight and minimalist WordPress theme that was built specifically to work seamlessly with the Elementor site builder plugin. The theme is free, open-source, and designed for users who want a flexible, easy-to-use, and customizable website. The theme, which is optimized for performance, provides a solid foundation for users to build their own unique designs using the Elementor drag-and-drop site builder. Its simplicity and flexibility make it a great choice for both beginners and experienced Web Creators.
Tags: accessibility-ready,flexible-header,custom-colors,custom-menu,custom-logo,featured-images,rtl-language-support,threaded-comments,translation-ready
Version: 3.3.0.1738162363
Updated: 2025-01-29 14:52:43

*/

/*General - Hover de las flechas de los carruseles */
.elementor-swiper-button:hover svg path{
	stroke: #ffffff !important
}
.elementor-swiper-button:hover{
    background-color: var(--e-global-color-fa10182);
    border-radius: 60px;
   
}
.elementor-swiper-button{
     transition: none !important;
     border-radius:60px;
}

.elementor-swiper-button:hover path:nth-child(2){
    stroke: transparent !important
}


/* Producto unico - Selectores de variaciones */

/* Tabla */
.variations-container .variations tbody tr{
	display: flex;
	flex-direction: column;
	background-color: var(--e-global-color-eb2df3a) !important
}
.variations-container table tbody>tr:nth-child(odd)>td, table tbody>tr:nth-child(odd)>th, table tbody tr:hover>td, table tbody tr:hover>th{
	background-color: var(--e-global-color-eb2df3a) !important
}
.variations-container .variations tbody tr th{
	padding:0;
	text-align: left
}

.variations-container .variations tbody tr td{
	padding-top: 8px;
}

/* Botones */
.variations-container  .button-variable-item{
	background-color: var(--e-global-color-eb2df3a) !important;
	border-radius: 60px !important;
	border: 1px solid transparent !important;
	box-shadow: none !important;
	padding:6px 12px !important;
	transition: all ease-in-out 0.3;
	font-family: var(--e-global-typography-2b6e919-font-family), Sans-serif;
    font-size: var(--e-global-typography-2b6e919-font-size) !important;
    font-weight: var(--e-global-typography-2b6e919-font-weight);
    line-height: var(--e-global-typography-2b6e919-line-height) !important;
}
.variations-container .button-variable-item:hover{
	border: 1px solid var(--e-global-color-fa10182) !important;
	color: var(--e-global-color-fa10182);
}
.variations-container .button-variable-item:hover span{
	color: var(--e-global-color-fa10182);
}
.variations-container .button-variable-item.selected{
	border: 1px solid var(--e-global-color-fa10182) !important;
	outline: none !important
}
.variations-container .button-variable-item.selected span{
	color: var(--e-global-color-fa10182);
}
/* Botones de color*/
.variations-container .color-variable-item{
	box-shadow: none !important;
	border: 1px solid transparent !important;
	border-radius: 60px !important
}
.variations-container .color-variable-item.selected, .variations-container .color-variable-item:hover{
	border: 1px solid var(--e-global-color-fa10182) !important;
}
.variations-container .color-variable-item .variable-item-contents{
	padding: 3px !important
}
.variations-container .color-variable-item .variable-item-contents::before{
	display: none !important
}

.variable-item-span.variable-item-span-color{
	border-radius: 60px !important
}


/* Botones de imagen */
.variations-container .image-variable-item{
	box-shadow: none !important;
	border: 1px solid transparent !important;
	border-radius:8px !important;
	height: 90px !important;
	width: 90px !important;
	display: flex;
	flex-direction: column;
	justify-content: start!important;
	background-color: transparent !important;
	gap:5px;

}
.variations-container .image-variable-item::after{
	content: attr(data-title);
	font-family: var(--e-global-typography-2b6e919-font-family), Sans-serif;
    font-size: var(--e-global-typography-2b6e919-font-size);
    font-weight: var(--e-global-typography-2b6e919-font-weight);
    line-height: var(--e-global-typography-2b6e919-line-height);
}

.variations-container .image-variable-item.selected, .variations-container .image-variable-item:hover{
	border: 1px solid var(--e-global-color-fa10182) !important;
}

.variations-container .image-variable-item .variable-item-contents::before{
	display: none !important
}
.image-variable-item-personalizado.selected + #custom-notice span{
	color: red !important
	
}

/* Mensaje de personalizar */
#custom-notice.active {
    display: flex;
	font-family: var(--e-global-typography-2b6e919-font-family), Sans-serif;
    font-size: var(--e-global-typography-2b6e919-font-size);
    font-weight: var(--e-global-typography-2b6e919-font-weight);
    line-height: var(--e-global-typography-2b6e919-line-height);
}
#custom-notice{
    display: none
}
/* Carrito */
.e-cart__container > * {
	
}
/* Carrito - Fila de producto */
.e-cart__container tr th{
	text-align: center;
}
.e-cart__container tr.cart_item{
	background-color: var(--e-global-color-9bb866a) !important;
	position: relative;
	border-radius: 12px !important;
}
.e-cart__container table tr>td{
	padding: 16px !important
}
.e-cart__container table tr:hover>td{
	background-color: var(--e-global-color-9bb866a) !important;
}

.e-cart__container .product-price{
	display: none !important
}

.e-cart__container .cart_item .product-name a{
	color: var(--e-global-color-text) !important; 
}
.e-cart__container .order-total td::before, .e-cart__container .order-total span{
	font-weight: 600 !important
}

/* .e-cart__container .woocommerce-shipping-totals.shipping{
	display: none
} */

/* Carrito - Responsive */
@media (max-width:767px){
	.woocommerce-cart-form__cart-item.cart_item td{
		padding:5px !important;
	}
	.woocommerce-cart-form__cart-item.cart_item{
		margin-bottom: 10px;
		padding: 16px !important;
		display: grid !important;
    	grid-template-columns: 35% 65%;
    	grid-template-rows: repeat(3);
	}
	.woocommerce-cart-form__cart-item.cart_item .product-remove{
		position: absolute;
		top:10px;
		right:10px;
	}
	.woocommerce-cart-form__cart-item.cart_item .product-thumbnail{
		display: flex !important;
		grid-column:1;
		grid-row: 1/4;
		align-self: center;
		justify-self: center;
	}
	.woocommerce-cart-form__cart-item.cart_item .product-thumbnail img{
		width: 85px !important
	}
	.woocommerce-cart-form__cart-item.cart_item .product-thumbnail::before{
		display: none !important
	}
	.woocommerce-cart-form__cart-item.cart_item .product-name{
		font-weight: 600 !important;
		grid-column: 2/3;
		grid-row:1;
		justify-self: start;
		text-align: left !important;
		display: flex !important;
   		flex-direction: column;
		gap:5px
			
	}
	.woocommerce-cart-form__cart-item.cart_item .product-name a{
		text-align: left !important;
	}
	.woocommerce-cart-form__cart-item.cart_item .product-name::before{
		display: none;
	}
	.woocommerce-cart-form__cart-item.cart_item .product-name .variation{
		display: flex !important;
		justify-content: space-between
	}
	.woocommerce-cart-form__cart-item.cart_item .product-quantity{
		display: flex !important;
		grid-row: 2;
		grid-column: 2/3;
		align-items: center;    
		justify-content: space-between;
	}
	
}

/* Finalizar compra */
/* Finalizar compra - Total y subtotal */
.woocommerce-checkout-review-order thead, .woocommerce-checkout-review-order tbody{
	display: none !important
}
.woocommerce-checkout-review-order .order-total td, .woocommerce-checkout-review-order .cart-subtotal td{
	text-align: right !important;
}

.woocommerce-checkout-review-order .order-total th, .woocommerce-checkout-review-order .order-total td{
	font-family: var(--e-global-typography-accent-font-family), Sans-serif;
    font-size: var(--e-global-typography-accent-font-size) !important;
    font-weight: var(--e-global-typography-accent-font-weight) !important;
    line-height: var(--e-global-typography-accent-line-height);
}
.woocommerce-checkout-review-order .woocommerce-shipping-methods li{
	display: flex; 
	flex-direction: row-reverse;
	gap: 8px;
}
	
.woocommerce-checkout-review-order .woocommerce-shipping-methods li label{
	color: var( --e-global-color-text ) !important
}
.woocommerce-checkout-review-order .woocommerce-shipping-methods li input{
	margin-right: 0 !important
}


/* Finalizar compra - Contenedor de pago */

.woocommerce-checkout-payment #payment_method_transbank_webpay_plus_rest{
	display: flex !important
}

.payment_box.payment_method_transbank_webpay_plus_rest{
	padding: 0 !important;
	width: 100% !important;
}
.wc_payment_method.payment_method_transbank_webpay_plus_rest{
	display: flex !important;
	flex-wrap: wrap;
}
/* POST FINALIZAR COMPRA */
.woocommerce-order{
    color: var( --e-global-color-text ) !important;
    font-family: var(--e-global-typography-text-font-family), Sans-serif !important;
}

/* Mensajes */
.woocommerce-order .woocommerce-error, .woocommerce-order .woocommerce-message{
    max-width: 800px;
    margin: 20px auto;
}

/* Tablas */
.woocommerce-order .woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received{
    text-align: center;
}
.woocommerce-order th.woocommerce-table__product-table.product-total{
	text-align: end !important
}

.woocommerce-order .shop_table.order_details tfoot tr th{
    width: 300px !important;
    color: var( --e-global-color-text ) !important;
    font-weight: 700 !important;
}

.woocommerce-order .shop_table.order_details tfoot .view.order-actions-button{
	display: none !important
}

.woocommerce-order .shop_table.order_details{
    max-width: 800px;
    margin: 0 auto;
}
.woocommerce-order .shop_table.order_details tfoot tr td{
    font-weight: 400 !important;
    text-align: end;
}

.woocommerce-order .woocommerce-columns--addresses{
	max-width: 800px;
    margin: 0 auto;
}

.woocommerce-order .woocommerce-table__product-total.product-total{
    text-align: end !important;
    color: #69727d !important;
}

.woocommerce-order .woocommerce-table.woocommerce-table--custom-fields.shop_table.custom-fields{
    display: none !important
}

.woocommerce-order .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details{
    padding: 0;
    display: flex;
    justify-content: center
}

@media(max-width:1024px){
    .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details{
        flex-direction: column;
        gap: 15px;
    }
}

.woocommerce-order .wc-item-meta{
    padding: 0;
}

.woocommerce-order .woocommerce-table__product-name.product-name a{
    color: var( --e-global-color-text ) !important;
}

/* Detalles de facturacion */
.woocommerce-order .woocommerce-customer-details address{
    border: none;
    padding: 0;
    max-width: 800px;
    margin: 0 auto;
}

.woocommerce-order .woocommerce-customer-details--phone::before,.woocommerce-order .woocommerce-customer-details--email::before {
    display: none;
}

.woocommerce-order .woocommerce-customer-details--phone, .woocommerce-order .woocommerce-customer-details--email{
    padding: 0 !important;
    margin: 0 !important;
}
 /* Titulos */
.woocommerce-order #payment_details, .woocommerce-order .woocommerce-order-details__title, .woocommerce-order .woocommerce-customer-details .woocommerce-column__title{
    font-family: var(--e-global-typography-secondary-font-family), Sans-serif !important;
    font-size: var(--e-global-typography-8cdf8a0-font-size);
    font-weight: var(--e-global-typography-8cdf8a0-font-weight);
    line-height: var(--e-global-typography-8cdf8a0-line-height);
    text-align: center
    
}



/* Tienda */

/* Paginador */
#product-grid-container .page-numbers{
	border: none !important;
	display: flex !important;
	justify-content: center;
	gap: 3px;
}
#product-grid-container .page-numbers li{
	border: 1px solid var(--e-global-color-fa10182);
	border-radius: 60px
}
#product-grid-container .page-numbers li > *{
	width: 35px;
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Display de productos en formato grilla y lista */
/* Botones */
#btn-grid{
	cursor: pointer
}
#btn-grid svg path{
	transition: stroke ease-in-out 0.3s;
	stroke: var(--e-global-color-799157b);
}
#btn-grid.active svg path,#btn-grid:hover svg path{
	stroke: var(--e-global-color-fa10182) !important
}
#btn-list{
	cursor: pointer;
}
#btn-list svg path{
	transition: stroke ease-in-out 0.3s;
	stroke: var(--e-global-color-799157b);
}
#btn-list.active svg path,#btn-list:hover svg path{
	stroke: var(--e-global-color-fa10182) !important;
}
/* Grilla */
#product-grid-container .product .short-description{
	display: none
}
 /* Lista */
#product-grid-container.list-active .products{
	grid-template-columns: 1fr !important
}

#product-grid-container.list-active .products .product{
	padding: 40px;
	background-color: #ffffff
}
#product-grid-container.list-active .products .product .woocommerce-LoopProduct-link.woocommerce-loop-product__link{
	display: grid ;
    grid-template-columns: 30% 32% 32%;
    grid-template-rows: repeat(3, 1fr);
	grid-column-gap: 3%
}

#product-grid-container.list-active .products .product a img{
	grid-row-start: 1;
    grid-row-end: 4;
	align-self: center;
	margin: 0
}
#product-grid-container.list-active .products .product .woocommerce-loop-product__title{
	align-self: end;
	font-family: var(--e-global-typography-accent-font-family), Sans-serif;
    font-size: var(--e-global-typography-accent-font-size);
    font-weight: var(--e-global-typography-accent-font-weight);
    line-height: var(--e-global-typography-accent-line-height);
	max-height: 35px;
	width:300px;
}
#product-grid-container.list-active .products .product .price{
	align-self: end;
	justify-self: end
}
#product-grid-container.list-active .products .product .short-description{
	grid-column-start: 2;
	grid-column-end:4;
	overflow: hidden ;
  	display: -webkit-box ;
  	-webkit-line-clamp: 4 ;
  	-webkit-box-orient: vertical ;
  	max-height: 90px;
	color: var(--e-global-color-text) !important;
	font-family: var(--e-global-typography-2b6e919-font-family), Sans-serif;
    font-size: var(--e-global-typography-2b6e919-font-size);
    font-weight: var(--e-global-typography-2b6e919-font-weight);
    line-height: var(--e-global-typography-2b6e919-line-height);
	border-top: 1px solid var(--e-global-color-d3bd6e0);
	padding-top:10px
}

#product-grid-container.list-active .add_to_cart_button{
	font-family: var(--e-global-typography-f6297ea-font-family), Sans-serif;
    font-size: var(--e-global-typography-f6297ea-font-size);
    font-weight: var(--e-global-typography-f6297ea-font-weight);
    line-height: var(--e-global-typography-f6297ea-line-height);
    border-style: solid;
    border-width: 1px 1px 1px 1px;
    border-radius: 8px 8px 8px 8px;
    padding: 16px 16px 16px 16px;
    color: var(--e-global-color-9bb866a);
    background-color: var(--e-global-color-fa10182);
    border-color: var(--e-global-color-fa10182);
/*     transition: all 0.2s; */
	position: absolute;
	right:40px;
	bottom: 40px;
	min-width:20%;
	text-align: center
}

/* Responsive vista de lista - Tablet */
/* Responsive vista de lista - Mobile */
@media (max-width:1024px){
	
	#product-grid-container.list-active .products .product .woocommerce-LoopProduct-link.woocommerce-loop-product__link{
		grid-template-rows: 25% 75% 0;
	}
	
	#product-grid-container.list-active .products .product{
		padding: 20px;
/* 		max-width: 85%; */
	}
	
	#product-grid-container.list-active .products .product .woocommerce-loop-product__title{
		width:130px;
		max-height:26px
	}
	
	#product-grid-container.list-active .products .product a img{
		height: 100px !important;
	}
	
	#product-grid-container.list-active .add_to_cart_button{
		display: none !important
	}
}
/* Filtros tienda */
.woof_container{
    margin: 0 !important;
    padding: 0 !important;
}
/* Titulos */
.woof_container_inner h4{
    font-size: var(--e-global-typography-accent-font-size);
    font-family: var(--e-global-typography-accent-font-family), Sans-serif;
    font-weight: 500;
    line-height: var(--e-global-typography-accent-line-height);
    color: var(--e-global-color-799157b) !important;
    padding: 16px;
    margin: 0;
    display: flex;
    justify-content: space-between;
    border-top: 1px solid var(--e-global-color-d3bd6e0);;
}
.woof_container_inner h4::after{
    content: url("/wp-content/uploads/2025/01/mynaui_plus-circle.svg") !important;
	border: none !important;
	transform: rotate(0) !important;
	width: 26px !important;
	height: 26px !important
}
.woof_container_inner h4.active{
    color: var(--e-global-color-fa10182) !important;
}
.woof_container_inner h4.active::after{
    content: url("/wp-content/uploads/2025/01/Group-1000005853.svg") !important;
	border: none !important;
	transform: rotate(0) !important;
	width: 26px !important;
	height: 26px !important
}
/* Listado de items */
.woof_block_html_items, .woof_container_inner form{
    max-height: 0;
    overflow: hidden;
    transition: all ease-in-out 0.3s;

}

.woof_container_inner h4.active + .woof_block_html_items {
    max-height:auto;
}
.woof_container_inner h4.active + .woof_container_inner form {
    padding-top: 20px;
    max-height: 80px;
}

/* Estilos para categorias */
.woof_list.woof_list_checkbox li{
    background-color: red;
    padding: 16px;
    margin: 0;
    background-color: #F9F8F5;
    border-top: 1px solid var(--e-global-color-d3bd6e0);
    font-family: var(--e-global-typography-2b6e919-font-family), Sans-serif;
    font-size: var(--e-global-typography-2b6e919-font-size);
    font-weight: var(--e-global-typography-2b6e919-font-weight);
    line-height: var(--e-global-typography-2b6e919-line-height);
    transition: all ease-in-out 0.3s;
    color: var(--e-global-color-799157b);
}
.woof_list.woof_list_checkbox li:hover{
    background-color: var(--e-global-color-b7aae70);
    color: #ffffff;
}

.woof_checkbox_label{
    width: 80%
}

.woof_products_top_panel{
    display: none !important
}

.price_slider_wrapper{
	min-height: 80px !important;
	justify-content: center;
}

.price_slider.ui-slider{
	margin-top: 20px
}

.woocommerce .widget_price_filter .ui-slider .ui-slider-range, .woocommerce .widget_price_filter .ui-slider .ui-slider-handle{
	background-color: var(--e-global-color-fa10182) !important;
}

.price_label{
	font-family: var(--e-global-typography-2b6e919-font-family), Sans-serif;
    font-size: var(--e-global-typography-2b6e919-font-size);
    font-weight: var(--e-global-typography-2b6e919-font-weight);
    line-height: var(--e-global-typography-2b6e919-line-height);
    transition: all ease-in-out 0.3s;
    color: var(--e-global-color-799157b);
}

.woof_submit_search_form_container{
	margin: 15px !important;
}

.button.woof_reset_search_form{
	background-color: var(--e-global-color-fa10182) !important;
    font-family: var(--e-global-typography-2b6e919-font-family), Sans-serif !important;
    font-size: var(--e-global-typography-2b6e919-font-size) !important;
    font-weight: var(--e-global-typography-2b6e919-font-weight) !important;
    line-height: var(--e-global-typography-2b6e919-line-height) !important;
    border-style: solid !important;
    border-width: 1px 1px 1px 1px !important;
    border-color: var(--e-global-color-fa10182) !important;
    border-radius: 75px 75px 75px 75px !important;
    padding: 8px 16px 8px 16px !important;
	color: #ffffff !important;
}

/* Filtros tienda - Mobile */
.elementor-714 .elementor-element.elementor-element-54056f6 .e-off-canvas__overlay{
	backdrop-filter: blur(4px);
}

/* Orden tienda mobile */
@media (max-width:1024px){
	.orderby{
		padding-left: 0px !important;
		max-width: 200px !important;
	}
}

